%define firefox_ver	3.0.1

Distribution:   CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	MPlayer plugin for Mozilla compatible browsers
Name:		mplayerplug-in
Version:	3.55
Release:	2
License:	GNU/GPL 
URL:		http://mplayerplug-in.sourceforge.net
Group:		Video
Source0:	%{name}-%{version}.tar.gz
Source1:        README.mplayerplug-in
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	gtk2+ firefox >= %{firefox_ver} MPlayer expat
BuildRequires:	perl-libintl
BuildRequires:	glib-devel
BuildRequires:	gtk2+-devel
BuildRequires:	pango-devel
BuildRequires:	atk-devel
BuildRequires:	pkg-config
BuildRequires:	freetype-devel
BuildRequires:	expat
BuildRequires:	xulrunner-devel
BuildRequires:	nspr-devel
BuildRequires: 	xorg-x11-util-macros
BuildRequires: 	xorg-x11-proto-devel
BuildRequires: 	xorg-x11-xtrans-devel
BuildRequires: 	libXfont-devel
BuildRequires: 	libXau-devel
BuildRequires: 	libxkbfile-devel
BuildRequires: 	libXres-devel
BuildRequires: 	libfontenc-devel
BuildRequires: 	libX11-devel
BuildRequires: 	libXext-devel


%description
This package contains a Mozilla browser plugin that makes it possible
to use the MPlayer movie player in Mozilla compatible browsers.

%prep
%setup -q -n %{name}-%{version}
cp %{SOURCE1} README.CCux

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--enable-gtk2 \
--enable-wmp \
--enable-qt \
--enable-rm \
--enable-gmp \
--enable-dvx 
#--with-gecko-sdk=/usr/lib/xulrunner-sdk-1.9/ 
make

%install
rm -rf $RPM_BUILD_ROOT
install -m 755 -d $RPM_BUILD_ROOT%_sysconfdir
install -p -m 644 mplayerplug-in.conf $RPM_BUILD_ROOT%{_sysconfdir}/mplayerplug-in.conf
install -p -m 644 mplayerplug-in.types $RPM_BUILD_ROOT%{_sysconfdir}/mplayerplug-in.types
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins
install -p -m 755 *.so $RPM_BUILD_ROOT%{_libdir}/mozilla/plugins/
install -m 755 -d $RPM_BUILD_ROOT%{_libdir}/firefox-%{firefox_ver}/components
install -p -m 644 *.xpt $RPM_BUILD_ROOT%{_libdir}/firefox-%{firefox_ver}/components

%files
%defattr(-,root,root)
%config(noreplace) %{_sysconfdir}/mplayerplug-in.conf
%{_sysconfdir}/mplayerplug-in.types
%_libdir/mozilla/plugins/*.so
%_libdir/firefox-%{firefox_ver}/components/*.xpt
#%_datadir/doc/

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Aug 19 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.55-2
- fixed plugin path
* Fri Aug 15 2008 Karsten Brockmann <arcam@ccux-linux.de> 3.55-1
- Version update
- firefox 3.0.1
* Sun Dec 02 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.50-1
- Version update
* Mon Aug 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.45-1
- Version update
* Sun Jul 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.40-4
- rebuilt against firefox 2.0.0.5
* Sat Jun 02 2007 Christian Metzen <metzench@ccux-linux.de> 3.40-3
- rebuild against firefox 2.0.0.4
* Sun May 06 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.40-2
- rebuilt against firefox 2.0.0.3
* Fri Mar 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.40-1
- Version update
* Sat Feb 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 3.35-2
- rebuilt against firefox 2.0.0.2
* Thu Dec 21 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.35-1
- Version update
* Wed Dec 20 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.31-4
- Firefox 2.0.0.1
* Sun Oct 29 2006 Christian Metzen <metzench@ccux-linux.de> 3.31-3
- Firefox 2.0
* Fri Sep 22 2006 Christian Metzen <metzench@ccux-linux.de> 3.31-2
- Firefox 1.5.0.7
* Tue Aug 29 2006 Karsten Brockmann <arcam@ccux-linux.de> 3.31-1
- Version update
* Tue Jun 13 2006 Christian Metzen <metzench@ccux-linux.de> 3.25-2
- fixed requires for new MPlayer package name, cleaned specfile
* Fri May 05 2006 Christian Wasem <wasem@ccux-linux.de> 3.25-1
- Update to Version 3.25, rebuild against firefox 1.5.0.3
* Wed Nov 30 2005 Christian Metzen <metzench@ccux-linux.de> 3.16-1
- Version update
* Thu Sep 22 2005 Christian Metzen <metzench@ccux-linux.de> 3.10-2
- Rebuild against newest firefox
* Tue Sep 13 2005 Christian Metzen <metzench@ccux-linux.de> 3.10-1
- Version update
* Thu Aug 25 2005 Christian Metzen <metzench@ccux-linux.de> 3.05-2
- Fixed minor Bug
* Thu Aug 18 2005 Christian Metzen <metzench@ccux-linux.de> 3.05-1
- Version update
* Mon Jun 13 2005 Christian Metzen <metzench@ccux-linux.de> 2.85-1
- Version update
* Tue Jun 06 2005 Christian Metzen <metzench@ccux-linux.de> 2.80-3
- Removed Gecko SDK dependency
* Tue Jun 06 2005 Christian Metzen <metzench@ccux-linux.de> 2.80-2
- Tweaked Specfile, added new Summary
* Fri May 27 2005 Stefan Gottwald <gotti@ccux-linux.de> 2.80-1
- Initial Release
